Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
usermgmt::AccountRenamed Struct Reference

This event is emitted after an account has been renamed. More...

Inheritance diagram for usermgmt::AccountRenamed:

## Public Attributes
string | newUsername
| new user name
Public Attributes inherited from usermgmt::AccountEvent
string | username
| name of user which was affected
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

This event is emitted after an account has been renamed.

Definition at line 37 of file UserManager.idl.

## Member Data Documentation

## ◆ newUsername

string usermgmt::AccountRenamed::newUsername

new user name

Definition at line 38 of file UserManager.idl.

The documentation for this struct was generated from the following file:

- UserManager.idl